#===============================================================================
#
# PARTED LIBRARY LINK SET SHELL
#
#                                               Copyright FUJITSU LTD 2005-2010.
#===============================================================================
# 2005.7.16					
# 2007.1.17     parted-1.7б
# 2010.8.30     RHEL6 б
#===============================================================================
#$Name: SLINPSA-2_7_0-0 $

#!/bin/sh

LIBPATH1="/usr/lib"
LIBPATH2="/lib"
LIBNAME="libparted"
LINKNAME="/opt/FJSVpsa/lib/libparted.so"


case $1 in
    'install')
	if [ -e $LIBPATH1/$LIBNAME-*.*.so.*.*.* ]
		then
		LIBPATH=$LIBPATH1
	else
		LIBPATH=$LIBPATH2
	fi
	LIBS=(`ls $LIBPATH/$LIBNAME-*.*.so.*.*.* | \
			sort  -t \. -k2,2nr -k4,4nr -k5,5nr -k6,6nr`)
	
	if [ ${#LIBS[*]} == 0 ]
	    then
	    echo "$LIBNAME is not found" 
	    exit 1
	fi

	rm -f $LINKNAME
	ln -s ${LIBS[0]} $LINKNAME
	exit 0;;
	
    'uninstall')

	rm -f $LINKNAME
	exit 0;;

    *)
	echo "partedset.sh: Invalid option '$1'"
	echo "Usage:  partedset.sh {install|uninstall}"
	exit 1;;
esac
